Data Fields
acc_processing_metadata_t Struct Reference
Service » Processing

Metadata that will be populated by the processing module during creation. More...

`#include <acc_processing.h>`

## Data Fields
uint16_t | frame_data_length
uint16_t | sweep_data_length
uint16_t | subsweep_data_offset [(4U)]
uint16_t | subsweep_data_length [(4U)]
float | max_sweep_rate
bool | high_speed_mode

## Detailed Description

Metadata that will be populated by the processing module during creation.

Examples
  example_detector_distance_with_iq_data_print.c, example_service.c, example_service_calibration_caching.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, example_service_subsweeps.c, and example_vibration_main.c.

Definition at line 36 of file acc_processing.h.

## Field Documentation

## ◆ frame_data_length

uint16_t acc_processing_metadata_t::frame_data_length

Number of elements in the frame

Examples
  acc_processing_helpers.c, example_control_helper.c, example_detector_distance_with_iq_data_print.c, example_detector_presence_with_iq_data_print.c, example_service.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, and example_service_subsweeps.c.

Definition at line 39 of file acc_processing.h.

## ◆ high_speed_mode

bool acc_processing_metadata_t::high_speed_mode

Flag indicating if high speed mode is used. If true, it means that the sensor has been configured in a way where it can optimize its measurements and obtain a high max_sweep_rate.

Configuration limitations to enable high speed mode:

continuous_sweep_mode false, see acc_config_continuous_sweep_mode_set inter_sweep_idle_state READY, see acc_config_inter_sweep_idle_state_set num_subsweeps 1, see acc_config_num_subsweeps_set profile 3-5, see acc_config_profile_set

Definition at line 64 of file acc_processing.h.

## ◆ max_sweep_rate

float acc_processing_metadata_t::max_sweep_rate

Maximum sweep rate that the sensor can provide for the given configuration. Note that this is not the actual exact sweep rate. To obtain an exact rate, use the sweep rate parameter, acc_config_sweep_rate_set.

If no max sweep rate is applicable, it's set to 0.0f.

Definition at line 52 of file acc_processing.h.

## ◆ subsweep_data_length

uint16_t acc_processing_metadata_t::subsweep_data_length[(4U)]

Number of elements in the subsweeps

Examples
  example_detector_distance_with_iq_data_print.c, example_detector_presence_with_iq_data_print.c, and example_service_subsweeps.c.

Definition at line 45 of file acc_processing.h.

## ◆ subsweep_data_offset

uint16_t acc_processing_metadata_t::subsweep_data_offset[(4U)]

Offset to the subsweeps data

Examples
  example_detector_distance_with_iq_data_print.c, example_detector_presence_with_iq_data_print.c, and example_service_subsweeps.c.

Definition at line 43 of file acc_processing.h.

## ◆ sweep_data_length

uint16_t acc_processing_metadata_t::sweep_data_length

Number of elements in the sweep

Examples
  acc_processing_helpers.c, example_processing_amplitude.c, example_processing_coherent_mean.c, example_processing_noncoherent_mean.c, example_processing_peak_interpolation.c, example_processing_static_presence.c, example_processing_subtract_adaptive_bg.c, and example_service_subsweeps.c.

Definition at line 41 of file acc_processing.h.

The documentation for this struct was generated from the following file:

- Inc/acc_processing.h